Невозможно обновить / установить плагины или WordPress

Я только что закончил настройку WordPress на моем веб-сервере apache, но теперь у меня возникает эта проблема, которая в значительной степени мешает мне делать что-либо с моим сайтом. Всякий раз, когда я пытаюсь установить или обновить плагин, я всегда получаю следующую ошибку:

Имя пользователя / пароль неверно

Который я знаю, возможно, возможно, потому что я предоставляю правильные учетные данные. Когда я пытаюсь обновить WordPress до более новой версии, я получаю:

Ошибка подключения к серверу. Проверьте правильность настроек.

Учетные данные, которые я использую, следующие:

имя хоста: localhost

Имя пользователя FTP: fender

Пароль FTP: пароль для крыла

Я могу подключиться через FTP, используя то же имя пользователя и пароль с Filezilla или любой другой программой SSH без проблем, поэтому я не знаю, почему он не принимает учетные данные. Я думал, что это, возможно, проблема с разрешениями, поэтому я пробовал CHMOD 777 в директории wordpress, и это все еще не сработало. Я полностью потерял то, что может быть проблемой, и это не может быть хостингом, так как это мой собственный сервер. Я даже попытался установить плагины вручную через FTP (updraftplus, чтобы быть конкретным), и он даже не появится на моей странице плагинов после извлечения папки в каталог плагинов. Есть идеи?

Solutions Collecting From Web of "Невозможно обновить / установить плагины или WordPress"

Починил это. Поместите несколько команд, которые помогли предоставить wordpress разрешения, необходимые для автоматического обновления:

sudo usermod -aG www-data $USER sudo chown -R www-data:www-data /var/www sudo chmod -R 774 /var/www 

Эта проблема преследовала меня месяцами. Я чувствую, что огромный вес был снят с моей груди, теперь ха-ха.